## batman-adv-kernelland 0.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #
-# Copyright (C) 2007-2008 B.A.T.M.A.N. contributors:
+# Copyright (C) 2007-2009 B.A.T.M.A.N. contributors:
+#
 # Marek Lindner, Simon Wunderlich
+#
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of version 2 of the GNU General Public
 # License as published by the Free Software Foundation.
@@ -19,27 +21,22 @@
 
 
 PWD:=$(shell pwd)
-ifeq ($(wildcard $(KERNELPATH)),)
-KERNELPATH = /lib/modules/$(shell uname -r)/build
+KERNELPATH ?= /lib/modules/$(shell uname -r)/build
 # sanity check: does KERNELPATH exist?
 ifeq ($(shell cd $(KERNELPATH) && pwd),)
-$(error $(KERNELPATH) is missing, please set KERNELPATH)
+$(warning $(KERNELPATH) is missing, please set KERNELPATH)
 endif
+
 export KERNELPATH
-endif
 
 REVISION=	$(shell if [ -d .svn ]; then \
 						if which svn > /dev/null; then \
 							svn info | grep "Rev:" | sed -e '1p' -n | awk '{print $$4}'; \
-						else \
-							echo "[unknown]"; \
-						fi ; \
+						fi; \
 					else \
 						if [ -d ~/.svk ]; then \
 							if which svk > /dev/null; then \
 								echo $$(svk info | grep "Mirrored From" | awk '{print $$5}'); \
-							else \
-								echo "[unknown]"; \
 							fi; \
 						fi; \
 					fi)
@@ -49,7 +46,7 @@
 include $(PWD)/Makefile.kbuild
 
 all:
-	make -C $(KERNELPATH) REVISION=$(REVISION) M=$(PWD) PWD=$(PWD) -j $(NUM_CPUS) modules
+	$(MAKE) -C $(KERNELPATH) REVISION=$(REVISION) M=$(PWD) PWD=$(PWD) -j $(NUM_CPUS) modules
 
 clean:
-	make -C $(KERNELPATH) M=$(PWD) PWD=$(PWD) clean
+	$(MAKE) -C $(KERNELPATH) M=$(PWD) PWD=$(PWD) clean
