=== debian/changelog ===
batman-adv-kernelland (0.2-5) unstable; urgency=low

  * Correct spelling errors found by lintian
  * Use dkms postinst script for batman-adv-dkms (Closes LP: #497149)

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Thu, 14 Jan 2010 00:01:22 +0100

batman-adv-kernelland (0.2-4) unstable; urgency=low

  * Add ${misc:Depends} debhelper for batman-adv-source
  * debian/patches:
    - Add route_flapping.patch, decrease route flapping in perfect environments
    - Add random_mac.patch, Copy complete 6 bytes of a random ethernet address

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Sat, 02 Jan 2010 00:15:50 +0100

batman-adv-kernelland (0.2-3) unstable; urgency=low

  * debian/patches:
    - Add missing_kfree.patch, Introduce missing kfree in case of failed
      allocation of packet buffer
    - Add irqdeadlock.patch, Use forw_bcast_list_lock always in disabled
      interrupt context
    - Add vis_rounding.patch, Fixes rounding issues in vis.c

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Sun, 20 Dec 2009 00:24:11 +0100

batman-adv-kernelland (0.2-2) unstable; urgency=low

  * Recommend batctl instead of deprecated batman-adv-battool

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Sun, 08 Nov 2009 23:17:12 +0100

batman-adv-kernelland (0.2-1) unstable; urgency=low

  * New Upstream Version
  * Convert to 3.0 (quilt) source format

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Sun, 08 Nov 2009 14:41:07 +0100

batman-adv-kernelland (0.2~beta~svn1453-1) experimental; urgency=low

  * New Upstream Snapshot

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Thu, 22 Oct 2009 23:03:21 +0200

batman-adv-kernelland (0.2~beta~svn1440-1) experimental; urgency=low

  * New Upstream Snapshot
  * debian/patches:
    - Remove upstream merged patches disable-csum-offloading.patch,
      filled_socketbuffer.patch

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Thu, 15 Oct 2009 20:14:06 +0200

batman-adv-kernelland (0.2~beta~svn1436-1) experimental; urgency=low

  * New Upstream Snapshot
  * debian/patches:
    - Remove upstream merged patches inactive_interface.patch,
      uninitialised_socket.patch, correct_vis_entries.patch,
      oops_deactivated_interface.patch, clamp_ttl.patch, netdevice_ops.patch
    - Remove patches which cannot be backported, linux-2.6.19.patch,
      linux-2.6.18.patch, linux-2.6.17.patch, linux-2.6.15.patch

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Sun, 13 Sep 2009 20:25:08 +0200

batman-adv-kernelland (0.2~beta~svn1397-1) experimental; urgency=low

  * New Upstream Version
  * Upgraded to policy 3.8.3, no changes required

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Sun, 16 Aug 2009 12:43:04 +0200

batman-adv-kernelland (0.2~beta~svn1370-1) experimental; urgency=low

  * New Upstream Snapshot

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Thu, 06 Aug 2009 19:25:31 +0200

batman-adv-kernelland (0.2~beta~svn1336-1) experimental; urgency=low

  * New Upstream Snapshot (Closes: #537149)
  * debian/patches:
    - Remove upstream merged patches 100-iface-after-forward-broadcast.patch,
      101-rcu_iflist.patch, 102-log-irqenable-sleep.patch,
      103-icmp-userspace-read.patch, 104-endless-recv.patch,
      105-icmp-check.patch
  * Remove quilt due to removed patches
  * Recommend batctl instead of transitional package batman-adv-battool
  * Update copyright years in debian/changelog

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Wed, 15 Jul 2009 17:35:14 +0200

batman-adv-kernelland (0.1-13) unstable; urgency=low

  * Correct minor dep3 tagging problems in debian/patches/
  * Provide batman-adv-dkms package that uses DKMS to dynamically build modules
    for the local kernel

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Tue, 20 Oct 2009 17:39:11 +0200

batman-adv-kernelland (0.1-12) unstable; urgency=low

  * debian/patches:
    - Add filled_socketbuffer.patch, Fixing race condition while handling lots
      of data
    - Add disable-csum-offloading.patch, Disable checksum offloading

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Thu, 15 Oct 2009 19:41:36 +0200

batman-adv-kernelland (0.1-11) unstable; urgency=low

  * Upgraded to policy 3.8.3, no changes required
  * Add README.source with information about patch management
  * debian/patches:
    - Change to dep3 patch tagging guidelines
    - Remove number before patches as order is given by debian/patches/series
    - Add inactive_interface.patch, Disable originator output when interface is
      disabled
    - Add uninitialised_socket.patch, Don't read from uninitialised socket
    - Add correct_vis_entries.patch, Calculate correct number of vis_entries
      when receiving undersized packet
    - Add oops_deactivated_interface.patch, Fix crash when sending vis packets
      on disabled interface
    - Add clamp_ttl.patch, Don't forward packets with ttl 255 after receiving
      packet with ttl 0

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Sun, 13 Sep 2009 20:07:24 +0200

batman-adv-kernelland (0.1-10) unstable; urgency=low

  * debian/patches:
    - Add 106-netdevice_ops.patch, fix compilation against linux-2.6.31-rc1
      (Closes: #534631)
    - Add 107-linux-2.6.19.patch, 108-linux-2.6.18.patch,
      109-linux-2.6.17.patch, 110-linux-2.6.15.patch, backport to linux-2.6.15

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Fri, 07 Aug 2009 22:44:56 +0200

batman-adv-kernelland (0.1-9) unstable; urgency=low

  * debian/rules:
    - Use the kernel makefiles directly to build the module to match
      linux-modules-extra-2.6 way of building it
    - Add get-orig-source target to retrieve source
  * debian/patches:
    - 103-outoftree_kbuild.patch, remove due to different linux module build
      approach
    - Add 103-icmp-userspace-read.patch, read complete icmp packet from
      userspace
    - Add 104-endless-recv.patch, consume even ignored packets to allow kernel
      receive thread to sleep
    - Add 105-icmp-check.patch, check for correct icmp version before sending it
  * Convert debian/copyright to new dep5 version

