=== debian/control ===
Source: batman-adv-kernelland
Section: kernel
Priority: extra
Maintainer: Simon Wunderlich <siwu@hrz.tu-chemnitz.de>
Uploaders: Sven Eckelmann <sven.eckelmann@gmx.de>
Dm-Upload-Allowed: yes
Homepage: http://www.open-mesh.net/
Standards-Version: 3.8.3
Vcs-Browser: http://git.debian.org/?p=collab-maint/batman-adv-kernelland.git
Vcs-Git: git://git.debian.org/git/collab-maint/batman-adv-kernelland.git
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: bzip2

Package: batman-adv-source
Architecture: all
Depends: ${misc:Depends}, module-assistant, debhelper (>= 7), make, bzip2
Recommends: batctl
Description: Source for the batman-advanced kernel module
 This package provides the source code for the batman-adv-source kernel modules.
 Kernel source or headers are required to compile these modules.
 .
 B.A.T.M.A.N. (better approach to mobile ad-hoc networking) is a new routing
 protocol for multi-hop ad-hoc mesh networks. B.A.T.M.A.N.-advanced is the
 implementation of this protocol on ISO/OSI Layer 2, allowing mesh networks to
 be used as a virtual switch. With this approach, LANs and WANs can be easily
 integrated, and more protocols (like DHCP, IPv6) are supported.

Package: batman-adv-dkms
Architecture: all
Depends: ${misc:Depends}, dkms (>= 2.1.0.0)
Recommends: batctl
Description: DKMS Source for the batman-advanced kernel module
 This package contains the source for the batman-adv-source kernel modules,
 packaged with approriate configuration for DKMS to build new modules
 dynamically.
 .
 B.A.T.M.A.N. (better approach to mobile ad-hoc networking) is a new routing
 protocol for multi-hop ad-hoc mesh networks. B.A.T.M.A.N.-advanced is the
 implementation of this protocol on ISO/OSI Layer 2, allowing mesh networks to
 be used as a virtual switch. With this approach, LANs and WANs can be easily
 integrated, and more protocols (like DHCP, IPv6) are supported.
