=== debian/watch ===
version=3
opts="uversionmangle=s/-(alpha|beta|rc)/~$1/" \
 http://downloads.open-mesh.net/batman/stable/sources/batman-adv-kernelland/batman-adv-kernelland-(.*).tar.gz
