=== debian/changelog ===
batman-adv-kernelland (2010.0.0-2) unstable; urgency=low

  * Correct destination path of dkms module
  * Upgraded to policy 3.9.1, no changes required
  * debian/patches:
    - Add foreign_stats.patch, Don't increment stats of foreign device (Closes:
      #593473)
    - Add orig_hash_deadlock.patch, unify orig_hash_lock spinlock handling to
      avoid deadlocks (Closes: #593519)
    - Add register_event.patch, Create batman_if only on register event (Closes:
      #593471)
    - Add netdev_reference.patch, Don't use net_dev after dev_put (Closes:
      #593472)
    - Add mac_packet_buff_check.patch, Don't write in not allocated packet_buff
      (Closes: #593724)

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Sat, 21 Aug 2010 10:47:59 +0200

batman-adv-kernelland (2010.0.0-1) unstable; urgency=low

  * New Upstream Version
  * Download snapshots from git repository when using debian/get-orig-source.sh
  * Correct URL in watch file to match newer releases
  * debian/patches:
    - Remove upstream merged patches: bat0_failure_memleak.patch,
      limit_queues.patch, seqno_redesign.patch, update_ethhdr_after_copy.patch

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Sat, 19 Jun 2010 00:02:48 +0200

batman-adv-kernelland (0.2.1-2) unstable; urgency=low

  * debian/patches:
    - Add seqno_redesign.patch, Reorganize sequence number handling to reduce
      broadcast loops
    - Add limit_queues.patch, Limit queue lengths for batman and broadcast
      packets
    - Add bat0_failure_memleak.patch, kfree_skb() in interface_tx() in error
      case
    - Add update_ethhdr_after_copy.patch, Update pointer to ethhdr after
      skb_copy

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Mon, 26 Apr 2010 22:33:03 +0200

batman-adv-kernelland (0.2.1-1) unstable; urgency=low

  * New Upstream Version
  * Remove outdated README.source
  * Updated debian/copyright
  * debian/patches:
    - Remove upstream merged irqdeadlock.patch, missing_kfree.patch,
      random_mac.patch, route_flapping.patch, vis_rounding.patch

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Tue, 23 Mar 2010 01:11:04 +0100

batman-adv-kernelland (0.2-6) unstable; urgency=low

  * debian/copyright: Update copyright years
  * Upgraded to policy 3.8.4, no changes required
  * Use dh_dkms to provide DKMS support

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Mon, 01 Mar 2010 12:51:54 +0100
