=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Sven Eckelmann <sven.eckelmann@gmx.de>
 Dm-Upload-Allowed: yes
 Homepage: http://www.open-mesh.net/
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
 Vcs-Browser: http://git.debian.org/?p=collab-maint/batman-adv-kernelland.git
 Vcs-Git: git://git.debian.org/git/collab-maint/batman-adv-kernelland.git
-Build-Depends: debhelper (>= 7)
+Build-Depends: debhelper (>= 7), dkms (>= 2.1.1.1-2)
 Build-Depends-Indep: bzip2
 
 Package: batman-adv-source
@@ -27,7 +27,7 @@
 
 Package: batman-adv-dkms
 Architecture: all
-Depends: ${misc:Depends}, dkms (>= 2.1.0.0)
+Depends: ${misc:Depends}
 Recommends: batctl
 Description: DKMS Source for the batman-advanced kernel module
  This package contains the source for the batman-adv-source kernel modules,
